interface AuthInformation {
    email: string;
    password: string;
}
export declare class AuthToken {
    private authInfo;
    private value;
    private refreshToken;
    private expiryAt;
    private client;
    constructor(authInfo: AuthInformation);
    get active(): boolean;
    get expired(): boolean;
    getValue(): string;
    refresh(): Promise<void>;
    init(): Promise<void>;
    private refreshAttributes;
}
export {};
//# sourceMappingURL=AuthToken.d.ts.map